VERSION 5.00
Begin VB.Form DB_Frm 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "DB Demo"
   ClientHeight    =   1785
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   3480
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1785
   ScaleWidth      =   3480
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Cmd_Delete 
      Caption         =   "&Delete"
      Height          =   375
      Left            =   1800
      TabIndex        =   7
      Top             =   960
      Width           =   975
   End
   Begin VB.CommandButton Cmd_Move 
      Caption         =   "&Next"
      Height          =   375
      Index           =   1
      Left            =   1800
      TabIndex        =   6
      Top             =   480
      Width           =   975
   End
   Begin VB.CommandButton Cmd_Move 
      Caption         =   "&Previous"
      Height          =   375
      Index           =   0
      Left            =   600
      TabIndex        =   5
      Top             =   480
      Width           =   975
   End
   Begin VB.OptionButton Opt_Store 
      Caption         =   "&Original"
      Height          =   255
      Index           =   1
      Left            =   600
      TabIndex        =   3
      Top             =   1440
      Value           =   -1  'True
      Width           =   975
   End
   Begin VB.OptionButton Opt_Store 
      Caption         =   "&As Shown"
      Height          =   255
      Index           =   0
      Left            =   1800
      TabIndex        =   2
      Top             =   1440
      Width           =   1215
   End
   Begin VB.CommandButton Cmd_Store 
      Caption         =   "&Store"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   960
      Width           =   975
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Current/Total records"
      Height          =   255
      Left            =   360
      TabIndex        =   4
      Top             =   120
      Width           =   1695
   End
   Begin VB.Label Lbl_Cap 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   2280
      TabIndex        =   1
      Top             =   120
      Width           =   975
   End
End
Attribute VB_Name = "DB_Frm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
DefInt A-Z

Dim ws As Workspace
Dim db As Database
Dim rs As Recordset
Dim Cr&, Tr&



Private Sub Cmd_Delete_Click()
    If Tr > 0 Then
        rs.Delete
        rs.MoveFirst
        Tr = Tr - 1
        Cr = 1
        Form1.Gvbox1.FileName = ""
        If Tr > 0 Then
            Form1.Gvbox1.ReadBinary rs("fldBlob").Value
        Else
            Cmd_Move(1).Enabled = False
        End If
        Cmd_Move(0).Enabled = False
        If Tr = 0 Then
            Cmd_Delete.Enabled = False
            Cr = 0
        End If
        Lbl_Cap.Caption = Format$(Cr) & "/" & Format$(Tr)
    End If
End Sub

Private Sub Cmd_Move_Click(Index As Integer)
    If Index = 0 Then
        If Cr > 1 Then
            Cr = Cr - 1
            rs.MovePrevious
            Cmd_Move(1).Enabled = True
        End If
    Else
        If Cr < Tr Then
            Cr = Cr + 1
            rs.MoveNext
            Cmd_Move(0).Enabled = True
        End If
    End If
    If Cr = 1 Then Cmd_Move(0).Enabled = False
    If Cr = Tr Then Cmd_Move(1).Enabled = False
    Lbl_Cap.Caption = Format$(Cr) & "/" & Format$(Tr)
    Form1.Gvbox1.ReadBinary rs("fldBlob").Value
    Form1.Gvbox1.Visible = True
End Sub

Private Sub Cmd_Store_Click()
    If Opt_Store(0).Value Then
        Form1.Gvbox1.ImageSource = 1
    Else
        Form1.Gvbox1.ImageSource = 0
    End If
    rs.AddNew
    rs("fldBlob") = Form1.Gvbox1.JPGtoArray
    rs.Update
    rs.MoveLast
    Tr = rs.RecordCount
    Lbl_Cap.Caption = Format$(Tr) & "/" & Format$(Tr)
    Cr = Tr
    Cmd_Move(1).Enabled = False
    If Tr > 1 Then
        Cmd_Move(0).Enabled = True
        Cmd_Delete.Enabled = True
    End If
End Sub

Private Sub Form_Load()
    On Error GoTo Er_Hndl
    
    ChDir App.Path
    Set ws = DBEngine.Workspaces(0)
    Set db = ws.OpenDatabase("gvboxdb.mdb")
    Dim StrSQL As String
    StrSQL = "Select * from tblImages"
    Set rs = db.OpenRecordset(StrSQL, dbOpenDynaset)
    rs.MoveLast
    Cr = 1
    Tr = rs.RecordCount
    rs.MoveFirst
    Lbl_Cap.Caption = Format$(Cr) & "/" & Format$(Tr)
    Cmd_Move(0).Enabled = False
    Form1.Gvbox1.ReadBinary rs("fldBlob").Value
    Form1.Gvbox1.Visible = True
    Exit Sub
    
Er_Hndl:
    If Err = 3021 Then
        Cr = 0
        Tr = 0
        Lbl_Cap.Caption = Format$(Cr) & "/" & Format$(Tr)
        Cmd_Move(0).Enabled = False
        Cmd_Move(1).Enabled = False
        Cmd_Delete.Enabled = False
        Exit Sub
    Else
        MsgBox Error$
        Exit Sub
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    rs.Close
    db.Close
    ws.Close
End Sub


